## org.eclipse.datatools.modelbase.sql.datatypes
Interface Field

All Superinterfaces:
  SQLObject, TypedElement

All Known Implementing Classes:
  FieldImpl

public interface Field
extends TypedElement

A representation of the model object 'Field'. Reference: 5WD-02-Foundation-2002-12 4.13 Columns, fields, and attributes

The following features are supported:

- `Scope Check`
- `Scope Checked`

See Also:
  `SQLDataTypesPackage.getField()`

Method Summary
`ReferentialActionType` `getScopeCheck()` Returns the value of the 'Scope Check' attribute.
`boolean` `isScopeChecked()` Returns the value of the 'Scope Checked' attribute.
`void` `setScopeCheck(ReferentialActionType value)` Sets the value of the '`Scope Check`' attribute.
`void` `setScopeChecked(boolean value)` Sets the value of the '`Scope Checked`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.TypedElement
`getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getScopeCheck

    public ReferentialActionType getScopeCheck()

  Returns the value of the 'Scope Check' attribute. The literals are from the enumeration `ReferentialActionType`.

  If the meaning of the 'Scope Check' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Scope Check' attribute.
  See Also:
    `ReferentialActionType`, `setScopeCheck(ReferentialActionType)`, `SQLDataTypesPackage.getField_ScopeCheck()`

### setScopeCheck

    public void setScopeCheck(ReferentialActionType value)

  Sets the value of the '`Scope Check`' attribute.

  Parameters:
    `value` - the new value of the 'Scope Check' attribute.
  See Also:
    `ReferentialActionType`, `getScopeCheck()`

### isScopeChecked

    public boolean isScopeChecked()

  Returns the value of the 'Scope Checked' attribute.

  If the meaning of the 'Scope Checked' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Scope Checked' attribute.
  See Also:
    `setScopeChecked(boolean)`, `SQLDataTypesPackage.getField_ScopeChecked()`

### setScopeChecked

    public void setScopeChecked(boolean value)

  Sets the value of the '`Scope Checked`' attribute.

  Parameters:
    `value` - the new value of the 'Scope Checked' attribute.
  See Also:
    `isScopeChecked()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.